/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */


#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif


#define SOPT5_UART1RXSRC_UART_RX 0x00u /*!<@brief UART 1 receive data source select: UART1_RX pin */
#define SOPT5_UART1TXSRC_UART_TX 0x00u /*!<@brief UART 1 transmit data source select: UART1_TX pin */

/*! @name PORTC3 (number 73), U2[25]/U6[14]/RxD_sda/UART_RX_TGTMCU
  @{ */
#define BOARD_UART_RX_TGTMCU_PERIPHERAL UART1                             /*!<@brief Device name: UART1 */
#define BOARD_UART_RX_TGTMCU_SIGNAL RX                                    /*!<@brief UART1 signal: RX */
#define BOARD_UART_RX_TGTMCU_PORT PORTC                                   /*!<@brief PORT device name: PORTC */
#define BOARD_UART_RX_TGTMCU_PIN 3U                                       /*!<@brief PORTC pin index: 3 */
#define BOARD_UART_RX_TGTMCU_PIN_NAME UART1_RX                            /*!<@brief Pin name */
#define BOARD_UART_RX_TGTMCU_LABEL "U2[25]/U6[14]/RxD_sda/UART_RX_TGTMCU" /*!<@brief Label */
#define BOARD_UART_RX_TGTMCU_NAME "UART_RX_TGTMCU"                        /*!<@brief Identifier name */
                                                                          /* @} */

/*! @name PORTC4 (number 76), U2[24]/U6[13]/TxD_sda/UART_TX_TGTMCU
  @{ */
#define BOARD_UART_TX_TGTMCU_PERIPHERAL UART1                             /*!<@brief Device name: UART1 */
#define BOARD_UART_TX_TGTMCU_SIGNAL TX                                    /*!<@brief UART1 signal: TX */
#define BOARD_UART_TX_TGTMCU_PORT PORTC                                   /*!<@brief PORT device name: PORTC */
#define BOARD_UART_TX_TGTMCU_PIN 4U                                       /*!<@brief PORTC pin index: 4 */
#define BOARD_UART_TX_TGTMCU_PIN_NAME UART1_TX                            /*!<@brief Pin name */
#define BOARD_UART_TX_TGTMCU_LABEL "U2[24]/U6[13]/TxD_sda/UART_TX_TGTMCU" /*!<@brief Label */
#define BOARD_UART_TX_TGTMCU_NAME "UART_TX_TGTMCU"                        /*!<@brief Identifier name */
                                                                          /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
